Journey Docs

Get Property

Retrieve public property information

GET/public/properties/:propertyId

Retrieve public information about a property.

Request

GET /public/properties/:propertyId
propertyIdpathstringrequired

Property identifier

Response

propertyobject
properties
idstring

Property ID

namestring

Property name

slugstring

URL slug

descriptionstring

Property description

locationobject

Address and coordinates

amenitiesarray

Available amenities

imagesarray

Property photos

ratingobject

Review ratings

Example

const response = await fetch(
  'https://api.journey.com/public/properties/PROP123'
);

const data = await response.json();
console.log(`Property: ${data.property.name}`);
console.log(`Location: ${data.property.location.city}`);

Bruno

bruno/Public (Surface)/Properties/Get Property.bru

On this page